GET api/NTMedical/GetVitalSignDetail?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfMedicalVitalSignDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of MedicalVitalSignDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"MedicalId": 2,
"ReportedDateTime": "2026-08-04T14:30:23.3065054-07:00",
"ReportedTime": "00:00:00.1234567",
"CustomReportedTime": "sample string 5",
"SystolicBP": 1.0,
"DiastolicBP": 1.0,
"HR": 1.0,
"RR": 1.0,
"PulseOx": 1.0,
"Temp": 1.0,
"BG": 1.0,
"TempUnit": "sample string 6",
"VitalCategory": "sample string 7",
"Position": "sample string 8",
"PositionId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:23.3065054-07:00",
"DateUpdated": "2026-08-04T14:30:23.3065054-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
{
"Id": 1,
"MedicalId": 2,
"ReportedDateTime": "2026-08-04T14:30:23.3065054-07:00",
"ReportedTime": "00:00:00.1234567",
"CustomReportedTime": "sample string 5",
"SystolicBP": 1.0,
"DiastolicBP": 1.0,
"HR": 1.0,
"RR": 1.0,
"PulseOx": 1.0,
"Temp": 1.0,
"BG": 1.0,
"TempUnit": "sample string 6",
"VitalCategory": "sample string 7",
"Position": "sample string 8",
"PositionId": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:23.3065054-07:00",
"DateUpdated": "2026-08-04T14:30:23.3065054-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}